package com.qunzhixinxi.hnqz.admin.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 零工渠道（如税邦云的中金、平安银行）
 *
 * @author lixuesong
 * @date 2022年03月03日 14:06
 */
@Getter
@AllArgsConstructor
public enum GigChannelEnum {

	// 渠道
	DEFAULT(0, "默认渠道"),
	CICC(1, "中金"),
	PINGAN(2, "平安银行");

	@EnumValue
	private int code;

	private String desc;

	/**
	 * 根据枚举编码获取枚举对象
	 *
	 * @param code
	 * @return
	 */
	public static GigChannelEnum resolve(int code){
		for (GigChannelEnum channelEnum: GigChannelEnum.values()){
			if (channelEnum.code == code){
				return channelEnum;
			}
		}
		return DEFAULT;
	}
}
